package org.apache.ws.resource.example.blackberry;

import org.apache.ws.resource.ResourceContext;

/**
 * This class should be generated ONCE (and not overwritten) to maintain user-added code.
 * If there is a change to the WSDL, then the generated implemented interfaces
 * (representing the "base" portTypes) will change, thus showing a compile error to the
 * user.
 * <p/>
 * NOTE: This class is generated. However, it will not be overwritten by subsequent
 * calls to the code generator.
 */
public class BlackberryService
        extends AbstractBlackberryService
        implements BlackberryCustomOperationsPortType
{

    private ResourceContext m_resourceContext;

    /**
     * Creates a new {@link BlackberryService } object.
     *
     * @param resourceContext DOCUMENT_ME
     */
    public BlackberryService(ResourceContext resourceContext)
    {
        m_resourceContext = resourceContext;
        init();
    }

    /**
     * DOCUMENT_ME
     *
     * @return DOCUMENT_ME
     */
    public ResourceContext getResourceContext()
    {
        return m_resourceContext;
    }


}
